Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class CertResponse

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.CertResponse

All Implemented Interfaces:
  ASN1Value

public class CertResponse
extends java.lang.Object
implements ASN1Value

Field Summary
`private CertifiedKeyPair` | `certifiedKeyPair`
`private INTEGER` | `certReqId`
`private PKIStatusInfo` | `status`
`static Tag` | `TAG`

Constructor Summary
`private` | `CertResponse()`
`` | `CertResponse(INTEGER certReqId, PKIStatusInfo status)`
`` | `CertResponse(INTEGER certReqId, PKIStatusInfo status, CertifiedKeyPair certifiedKeyPair)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`CertifiedKeyPair` | `getCertifiedKeyPair()` Returns the optional certified key pair.
`INTEGER` | `getCertReqId()`
`PKIStatusInfo` | `getPKIStatusInfo()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`boolean` | `hasCertifiedKeyPair()` Returns `true` if the certifiedKeyPair field is present.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### certReqId

    private INTEGER certReqId

### status

    private PKIStatusInfo status

### certifiedKeyPair

    private CertifiedKeyPair certifiedKeyPair

### TAG

    public static final Tag TAG

Constructor Detail

### CertResponse

    private CertResponse()

### CertResponse

    public CertResponse(INTEGER certReqId,
                        PKIStatusInfo status)

### CertResponse

    public CertResponse(INTEGER certReqId,
                        PKIStatusInfo status,
                        CertifiedKeyPair certifiedKeyPair)

Method Detail

### getCertReqId

    public INTEGER getCertReqId()

### getPKIStatusInfo

    public PKIStatusInfo getPKIStatusInfo()

### hasCertifiedKeyPair

    public boolean hasCertifiedKeyPair()

  Returns `true` if the certifiedKeyPair field is present.

### getCertifiedKeyPair

    public CertifiedKeyPair getCertifiedKeyPair()

  Returns the optional certified key pair. Should only be called if the certifiedKeyPair field is present.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD